#
# spec file for package python-podcastparser
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-podcastparser
Version:        0.6.10
Release:        2.3
Summary:        A podcast parser
License:        ISC
URL:            https://github.com/gpodder/podcastparser
Source:         https://files.pythonhosted.org/packages/source/p/podcastparser/podcastparser-%{version}.tar.gz
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module xml}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-xml
BuildArch:      noarch
%python_subpackages

%description
The podcast parser project is a library from the gPodder project to provide a
way of parsing RSS- and Atom-based podcast feeds in Python.

%prep
%setup -q -n podcastparser-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Sat Mar  9 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Dec 12 2023 Dirk Müller <dmueller@suse.com>
- update to 0.6.10:
  * Adding requested changes to commit around nomenclature and
    code style.
  * Adds support and tests for elements from the podcast namespace
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 0.6.9:
  * add support for itunes categories, seasons and keywords
* Sun Jan 16 2022 Dirk Müller <dmueller@suse.com>
- update to 0.6.8:
  * support more iTunes specific tags
* Mon Sep 20 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.6.7:
  * switch from nose to pytest
  * remove nose from appveyor.yml
  * drop python 3.3
  * Adding support for itunes:type tag
  * urllib.request used over urllib for import
  * Use raw strings in regexps
  * Fix parsing cover URL on a new line
  * Support media:content tags under media:group
  * Get generator tag from RSS v2
  * Add testing on python 3.6 to 3.9, and remove 3.4 and 3.5.
  * Use VS2019 for newer versions, and 3.9 support.
  * Add media:thumbnail tests.
- Dropped python-podcastparser-remove-nose.patch
* Wed Jul 15 2020 pgajdos@suse.com
- version update to 0.6.5
  * no upstream changelog
- added patches
  fix https://github.com/gpodder/podcastparser/pull/21
  + python-podcastparser-remove-nose.patch
* Sun Jun  2 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of description.
* Mon May 20 2019 pgajdos@suse.com
- version update to 0.6.4
  * no upstream changelog
- convert to single spec
- run the testsuite
* Mon Dec  5 2016 fstrba@suse.com
- Initial release of python-podcastparser 0.6.0
